Bug 220762

Summary: games/spring: fails to build with boost 1.65 but only on FreeBSD 10.3
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: amdmi3, w.schwarzenfeld
Priority: --- Keywords: needs-patch
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 220714    
Attachments:
Description Flags
patch.SMath.h
none
svn.diff-games:spring none

Description Jan Beich freebsd_committer 2017-07-16 12:08:34 UTC
In file included from rts/Game/Camera/FreeController.cpp:10:
In file included from rts/System/Config/ConfigHandler.h:10:
In file included from /usr/local/include/boost/function.hpp:24:
In file included from /usr/local/include/boost/function/detail/prologue.hpp:17:
In file included from /usr/local/include/boost/function/function_base.hpp:21:
In file included from /usr/local/include/boost/type_index.hpp:29:
In file included from /usr/local/include/boost/type_index/stl_type_index.hpp:46:
In file included from /usr/local/include/boost/functional/hash.hpp:6:
In file included from /usr/local/include/boost/functional/hash/hash.hpp:21:
In file included from /usr/local/include/boost/functional/hash/detail/hash_float.hpp:14:
In file included from /usr/local/include/boost/functional/hash/detail/float_functions.hpp:14:
In file included from /usr/local/include/boost/config/no_tr1/cmath.hpp:21:
/usr/include/c++/v1/cmath:638:7: error: no member named 'signbit' in the global namespace; did you mean 'math::signbit'?
using ::signbit;
      ^~
rts/lib/streflop/SMath.h:264:13: note: 'math::signbit' declared here
        inline int signbit (Simple x) {return streflop_libm::__signbitf(x);}
                   ^

http://package22.nyi.freebsd.org/data/103amd64-default-PR220714/2017-07-15_11h52m05s/logs/errors/spring-98.0_5.log
Comment 1 Walter Schwarzenfeld freebsd_triage 2017-11-19 05:29:08 UTC
Fir 19,3 it's only needed to add
#include <xmath>
to
but I cannot test it on 11.X.
Comment 2 Walter Schwarzenfeld freebsd_triage 2017-11-19 05:31:21 UTC
Created attachment 188110 [details]
patch.SMath.h
Comment 3 Walter Schwarzenfeld freebsd_triage 2017-11-19 05:46:16 UTC
Created attachment 188111 [details]
svn.diff-games:spring
Comment 4 commit-hook freebsd_committer 2018-03-03 22:40:54 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  3 22:40:28 UTC 2018
New revision: 463537
URL: https://svnweb.freebsd.org/changeset/ports/463537

Log:
  games/spring: unbreak with boost 1.65

  PR:		220762
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Approved by:	maintainer timeout (3 months)

Changes:
  head/games/spring/Makefile
  head/games/spring/files/patch-math
Comment 5 commit-hook freebsd_committer 2018-03-03 22:43:01 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  3 22:42:24 UTC 2018
New revision: 463539
URL: https://svnweb.freebsd.org/changeset/ports/463539

Log:
  MFH: r463537

  games/spring: unbreak with boost 1.65

  PR:		220762
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Approved by:	maintainer timeout (3 months)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q1/
  branches/2018Q1/games/spring/Makefile
  branches/2018Q1/games/spring/files/patch-math
Comment 6 Jan Beich freebsd_committer 2018-03-03 22:44:23 UTC
Thanks. Landed.